Getting started
List projects
Find projects you can access. A project key returns only its own project. Use search to filter by name and nextCursor to fetch another page.
GET
/api/customer/v1/projectsQuery parameters
| Name | Type | Required | Limits |
|---|---|---|---|
cursor | string | No | See schema |
limit | integer | No | Minimum 1; Maximum 100 |
search | string | No | See schema |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects" \ --header "Authorization: Bearer $HCODE_API_KEY"
Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"projects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"organizationId": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"projectType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"framework": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"buildType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"repositoryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"branch": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"rootDirectory": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"installCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"buildCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"startCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"outputDirectory": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerfilePath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerContextPath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerBuildStage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"healthCheckPath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"subdomain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lastDeployedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updatedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"githubInstallationId": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"hasDockerBuildArguments": {
"type": "boolean"
},
"hasDockerBuildSecrets": {
"type": "boolean"
},
"containerPort": {
"anyOf": [
{
"type": "integer",
"minimum": 1,
"maximum": 65535
},
{
"type": "null"
}
]
},
"runtimePortSource": {
"anyOf": [
{
"type": "string",
"enum": [
"explicit",
"start_command",
"managed_static",
"default",
"legacy"
]
},
{
"type": "null"
}
]
},
"runtimePortLockedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"runtimePortStatusUnavailable": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"status"
],
"additionalProperties": true
}
},
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"projects"
],
"additionalProperties": true
}See errors and retries for failure responses.